import { Component, OnInit , Input} from '@angular/core';
import { catagory } from '../../catagory';
import { CreateService } from '../service/create.service';
import { AuthService } from '@app/shared/services';
import { Router } from '@angular/router';
import { User } from '@app/shared/interfaces';
@Component({
  selector: 'app-create',
  templateUrl: './create.component.html',
  styleUrls: ['./create.component.css']
})
export class CreateComponent implements OnInit {
  @Input() user: User | null = null;
  user_data: any;
  reviewAdd = {
    'user_id': '',
   
    'catagory': '',
    'namemovie': '',
    'title': '',
    'description': ''
  };
  catagorys = catagory;
  constructor(private createService: CreateService, private authService: AuthService ,private router: Router,) { }

  ngOnInit(): void {
    this.authService.getUser().subscribe(data => this.user_data = data);
    this.reviewAdd = {
      'user_id': this.user_data._id,
   
      'catagory': '',
      'namemovie': '',
      'title': '',
      'description': '' 
    };
  }
  submitReviewAdd() {
    this.createService.postReview(this.reviewAdd).subscribe((response: {}) =>
      {alert('บันทึกเรียบร้อย'),
      this.router.navigateByUrl('/');
  }
    );
    console.warn(this.createService.postReview(this.reviewAdd));
    console.warn(this.reviewAdd);
    
  };
 
  
  
}
